Bug 177450 - gcj -fprofile-arcs -ftest-coverage fails
gcj -fprofile-arcs -ftest-coverage fails
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc4 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
Blocks: 173278
  Show dependency treegraph
Reported: 2006-01-10 15:00 EST by Stan Cox
Modified: 2012-06-20 11:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 11:52:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stan Cox 2006-01-10 15:00:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
coverage.c gets a SIGSEGV at runtime because it uses types from build_common_tree_nodes (e.g. unsigned_type_node) from tree.h whereas the java types are defined in java-tree.h.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.gcj -fprofile-arcs -ftest-coverage hello.java

Actual Results:  SIGSEGV

Expected Results:  produce executable which works with gcov

Additional info:
Comment 7 Jakub Jelinek 2006-05-12 05:07:13 EDT
This is fixed in rawhide gcc-4.1.0-13 and above (and in RHEL4 U4
gcc4-4.1.0-15.EL4 and FC5 gcc-4.1.0-15.fc5).
Comment 8 Jiri Pallich 2012-06-20 11:52:49 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.